<?xml version="1.0" encoding="UTF-8"?>

<module name="combine field components" class="FieldCombiner">

    <inputs>
        <input name="inFields" type="org.visnow.vn.lib.types.VNField" modifiers="NECESSARY:TRIGGERING"  maxConnections="-1"/>
    </inputs>
    <outputs>
        <output name="outRegularField" type="org.visnow.vn.lib.types.VNRegularField">
            <schema>
                <param name="REGULAR" value="true"/>
            </schema>
        </output>
        <output name="outIrregularField" type="org.visnow.vn.lib.types.VNIrregularField">
            <schema>
                <param name="IRREGULAR" value="true"/>
            </schema>
        </output>
        <output name="outPointField" type="org.visnow.vn.lib.types.VNPointField">
            <schema>
                <param name="POINT" value="true"/>
            </schema>
        </output>
        <geometryOutput/>
    </outputs>
</module>
